Subject: Re: bug#36056: 26.2; Python Documentation String Indent In Auto Fill Mode

From: Noam Postavsky <[email-masked]>
Date: Sat, 22 Jun 2019 19:31:48 -0400

tags 36056 fixed
close 36056 27.1
quit

"Basil L. Contovounesios" <[email-masked]> writes:

> I'm not familiar with this part of Emacs or python.el, and I don't know
> what else this may break, but from stepping through do-auto-fill I
> discovered the following setting gives the desired auto-fill behaviour:
>
>   (add-hook 'python-mode-hook
>             (lambda ()
>               (setq-local fill-indent-according-to-mode t)))

Seems like fill-indent-according-to-mode isn't consulted for anything
else, so I've pushed a fix to master which sets this locally in
python-mode.  The comment on fill-indent-according-to-mode says it can
break cc-mode filling "tricks", but hopefully python-mode won't have any
similar problems.

0f01a58c39 2019-06-22T19:25:44-04:00 "Fix python docstring auto-fill (Bug#36056)"
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=0f01a58c390faf30c33b369fc81b2a14ec5b7f2e